function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
export default function getDisabledCompatibleTrigger(element) {
  if (element.props.disabled) {
    var displayStyle = element.props.style && element.props.style.display ? element.props.style.display : 'inline-block';
    var child = React.cloneElement(element, {
      style: _objectSpread({}, element.props.style, {
        pointerEvents: 'none'
      })
    });
    return (// eslint-disable-next-line
      React.createElement("span", {
        style: {
          display: displayStyle,
          cursor: 'not-allowed'
        }
      }, child)
    );
  }

  return element;
}